﻿using DevExpress.Xpf.Mvvm;

namespace TestProject
{
    /// <summary>
    /// 문서 1 뷰 모델
    /// </summary>
    public class Document1ViewModel : ViewModelBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 텍스트
        /// </summary>
        private string text;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 텍스트 - Text

        /// <summary>
        /// 텍스트
        /// </summary>
        public string Text
        {
            get
            {
                return this.text;
            }
            set
            {
                SetProperty(ref this.text, value, () => Text);
            }
        }

        #endregion
    }
}